Setup Your Leash

Installation available for both Apple and Android devices

The device must support bluetooth 4.0 or higher and must have GPS functionallity.

The Application is just under 10Mb, so its pretty small, but make sure you have sufficient disk space.

5 tips to install your device

When it comes to installing our application its very easy to do so via the appstore or playstore.

It should not take more than a few minutes to install and configure your beacons.

You can have aas many beacons as you like operating at the same time.

Download Free Application

Please download our free application to track your items.

Apple

iPhone 5s and up are supported, device requires bluetooth 4.0 or higher

Android

Android devices are supported, device requires bluetooth 4.0 or higher and must be running Marshmallow or higher